package org.project.item;

import org.project.entity.Entity;

public interface Item {
    String getName();

    int getQuantity();

    void addQuantity(int amount);

    boolean canUse();

    void use(Entity target);
}
